Texa DeskDevelopers

Platform API · Users

Update a user

PATCH/platform/api/v1/users/{id}

Update a user's attributes

Authorization

api_access_tokenheaderrequired

A platform app's token. Platform apps exist only on a dedicated instance, made in its super admin console. On Texa's shared hosting this API is not open to companies.

Path parameters

idintegerrequired

The numeric ID of the user on the platform

Body application/json

namestring

Name of the user

display_namestring

Display name of the user

emailstring

Email of the user

passwordstring

Password must contain uppercase, lowercase letters, number and a special character

custom_attributesobject

Custom attributes you want to associate with the user

Responses

200

Success

idnumber
access_tokenstring
account_idnumber
available_namestring
avatar_urlstring
confirmedboolean
display_namestring
message_signaturestring
emailstring
hmac_identifierstring
inviter_idnumber
namestring
providerstring
pubsub_tokenstring
rolestring

One of: agent, administrator.

ui_settingsobject
uidstring
typestring
custom_attributesobject

Available for users who are created through platform APIs and has custom attributes associated.

accountsarray of object
accounts[].idnumber
accounts[].namestring
accounts[].statusstring
accounts[].active_atstring (date-time)
accounts[].rolestring

One of: administrator, agent.

accounts[].permissionsarray of string
accounts[].availabilitystring
accounts[].availability_statusstring
accounts[].auto_offlineboolean
accounts[].custom_role_idnumber
accounts[].custom_roleobject
401

Unauthorized

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring